/*
 * file StpRepository.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM 
 *
 * com.ibm.rational.wvcm.stp.StpRepository
 *
 *  Copyright IBM Corporation 2004, 2008.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

package com.ibm.rational.wvcm.stp;

import static com.ibm.rational.wvcm.stpex.StpExBase.PROPERTY_NAMESPACE;

import javax.wvcm.WvcmException;
import javax.wvcm.PropertyNameList.PropertyName;

import com.ibm.rational.wvcm.stp.StpProvider.StpProductInfo;

/**
 * A client proxy for a repository resource.
 */
public interface StpRepository
    extends StpResource
{

    /**
     * Version information about the server being used to access this
     * repository.
     * <p>
     * Any field not applicable to the code for which information is requested
     * will be an empty String (not <b>null</b>).
     */
    PropertyName<StpProductInfo> PRODUCT_INFO =
        new PropertyName<StpProductInfo>(PROPERTY_NAMESPACE, "product-info");
    
    StpProductInfo getProductInfo() throws WvcmException;
}
